Bug 1275339 - Moving group of element from one container to another don't update associations
Moving group of element from one container to another don't update associations
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
All All
urgent Severity urgent
: CR1
: 6.2.0
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
: Regression
: 1278756 (view as bug list)
Depends On: 1278756
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 10:41 EDT by Kirill Gaevskii
Modified: 2015-11-18 07:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Incorrect associations in Containers (3.04 MB, application/octet-stream)
2015-10-26 10:41 EDT, Kirill Gaevskii
no flags Details

  None (edit)
Description Kirill Gaevskii 2015-10-26 10:41:30 EDT
Created attachment 1086532 [details]
Incorrect associations in Containers

Description of problem:
If you try to move group of elements (such as StartEvent, Tasks, EndEvent and so on) from one container to another all elements in a group will be associated with old container. See attachment.

Version-Release number of selected component (if applicable):
6.2.ER4

How reproducible:
always

Steps to Reproduce:
1. Create Business process with two Swimlane (or Subprocess)
2. Add StartEvent->Task->EndEvent to first Swimlane
3. Select StartEvent, Task and EndEvent togather
4. Move group to another container

Actual results:
1. Elements visually will be under second container
2. All elements will be associated with first container

Expected results:
1. Elements visually will be on second container
2. All elements will be associated with second container

Additional info:
Comment 1 Edson Tirelli 2015-11-12 09:31:03 EST
Raising priority to urgent as discussed by e-mail.
Comment 2 Tihomir Surdilovic 2015-11-12 10:57:31 EST
Pull requests with fix:

master: https://github.com/droolsjbpm/jbpm-designer/pull/77

6.3.x: https://github.com/droolsjbpm/jbpm-designer/pull/79
Comment 3 Tihomir Surdilovic 2015-11-12 10:58:37 EST
*** Bug 1278756 has been marked as a duplicate of this bug. ***
Comment 5 Edson Tirelli 2015-11-16 10:57:24 EST
Rajesh, this was included in the CR1 build, so I am setting target milestone accordingly.
Comment 6 Kirill Gaevskii 2015-11-18 07:41:42 EST
Verified bug 1283196 was filed and bug 1273324 returned.

Note You need to log in before you can comment on or make changes to this bug.